package com.nuliji.tools.pay;

import com.nuliji.tools.pay.common.PayInfo;
import com.nuliji.tools.pay.common.ResultInfo;

import javax.servlet.http.HttpServletRequest;
import java.math.BigDecimal;

/**
 * Created by gaojie on 2017/5/10.
 */
public interface PaySource {
    ResultInfo notifyTrade(HttpServletRequest request) throws Exception;
    ResultInfo returnTrade(ResultInfo info);
    boolean validTrade(ResultInfo info, PayInfo payInfo);
    ResultInfo getTrade(String payId, String transactionNo, String pid) throws Exception;
}
